| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::UIntList Struct Reference
List types

`#include <TelepathyQt/Types>`

List of all members.

## Public Member Functions

- UIntList ()
- UIntList (const QList< uint > &a)
- UIntList & operator= (const QList< uint > &a)

## Detailed Description

Generic list type with uint elements. Convertible with QList<uint>, but needed to have a discrete type in the Qt type system.

## Constructor & Destructor Documentation

Tp::UIntList::UIntList | ( |  | ) | `[inline]`

Tp::UIntList::UIntList | ( | const QList< uint > & | a | ) | `[inline]`

## Member Function Documentation

UIntList& Tp::UIntList::operator= | ( | const QList< uint > & | a | ) | `[inline]`